/*
 * gamuSwipe v1.0.1 2019-04-04
 * https://git.gamuza.fr/scripts/gamuswipe
 *
 * arg passive : true
 * https://github.com/WICG/EventListenerOptions/blob/gh-pages/explainer.md
 * https://developer.mozilla.org/fr/docs/Web/API/EventTarget/addEventListener
 */
function gamuSwipe(mon_id,handleswipe){
	window.addEventListener('load', function(){
		var touchsurface = document.getElementById(mon_id);
		var seuil = 150;
		var startX;
		var dist;

		touchsurface.addEventListener('touchstart', function(e){
			var touchobj = e.changedTouches[0];
			dist = 0;
			startX = touchobj.pageX;
		}, {passive: true});

		//touchsurface.addEventListener('touchmove', function(e){
		//}, false);

		touchsurface.addEventListener('touchend', function(e){
			var touchobj = e.changedTouches[0];
			dist = touchobj.pageX - startX;
			if (Math.abs(dist) > seuil ) {
				if (dist < 0) {
					handleswipe('left');
					e.preventDefault();
				} else if(dist > 0){
					handleswipe('right');
					e.preventDefault();
				}
			}
		}, false);

	}, false);// end window.onload
}

